uk.gov.hmrc.ct.accounts.frsse2008

# AC16

###
Related Docs: class AC16 | package frsse2008

#### object AC16 extends Calculated[AC16, Frsse2008AccountsBoxRetriever with FilingAttributesBoxValueRetriever] with ProfitOrLossCalculator with Serializable

Linear Supertypes
Serializable, Serializable, ProfitOrLossCalculator, Calculated[AC16, Frsse2008AccountsBoxRetriever with FilingAttributesBoxValueRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC16
2. Serializable
3. Serializable
4. ProfitOrLossCalculator
5. Calculated
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(boxRetriever: Frsse2008AccountsBoxRetriever with FilingAttributesBoxValueRetriever): AC16

   Definition Classes
     AC16 → Calculated

6. #### def calculateCurrentGrossProfitOrLoss(ac12: AC12, ac14: AC14, statutoryAccountsFiling: StatutoryAccountsFiling): AC16

   Definition Classes
     ProfitOrLossCalculator

7. #### def calculateCurrentNetBalance(ac36: AC36, ac38: AC38): AC40

   Definition Classes
     ProfitOrLossCalculator

8. #### def calculateCurrentOperatingProfitOrLoss(ac16: AC16, ac18: AC18, ac20: AC20, ac22: AC22): AC26

   Definition Classes
     ProfitOrLossCalculator

9. #### def calculateCurrentProfitOrLoss(ac12: AC12, ac405: AC405, ac410: AC410, ac415: AC415, ac420: AC420, ac425: AC425, ac34: AC34, microEntityFiling: MicroEntityFiling): AC435

   Definition Classes
     ProfitOrLossCalculator

10. #### def calculateCurrentProfitOrLossBeforeTax(ac26: AC26, ac28: AC28, ac30: AC30): AC32

    Definition Classes
      ProfitOrLossCalculator

11. #### def calculateCurrentProfitOtLossAfterTax(ac32: AC32, ac34: AC34): AC36

    Definition Classes
      ProfitOrLossCalculator

12. #### def calculatePreviousGrossProfitOrLoss(ac13: AC13, ac15: AC15, statutoryAccountsFiling: StatutoryAccountsFiling): AC17

    Definition Classes
      ProfitOrLossCalculator

13. #### def calculatePreviousNetBalance(ac37: AC37, ac39: AC39): AC41

    Definition Classes
      ProfitOrLossCalculator

14. #### def calculatePreviousOperatingProfitOrLoss(ac17: AC17, ac19: AC19, ac21: AC21, ac23: AC23): AC27

    Definition Classes
      ProfitOrLossCalculator

15. #### def calculatePreviousProfitOrLoss(ac13: AC13, ac406: AC406, ac411: AC411, ac416: AC416, ac421: AC421, ac426: AC426, ac35: AC35, microEntityFiling: MicroEntityFiling): AC436

    Definition Classes
      ProfitOrLossCalculator

16. #### def calculatePreviousProfitOrLossBeforeTax(ac27: AC27, ac29: AC29, ac31: AC31): AC33

    Definition Classes
      ProfitOrLossCalculator

17. #### def calculatePreviousProfitOtLossAfterTax(ac33: AC33, ac35: AC35): AC37

    Definition Classes
      ProfitOrLossCalculator

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from ProfitOrLossCalculator

### Inherited from Calculated[AC16, Frsse2008AccountsBoxRetriever with FilingAttributesBoxValueRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped